
import random
from pathlib import Path

def list_all_files_in_directory(directory_path):
    """
    List all files in a directory and its subdirectories.
    """
    if not isinstance(directory_path, Path):
        directory_path = Path(directory_path)
    
    all_files = []
    for root, dirs, files in os.walk(str(directory_path)):
        for file in files:
            all_files.append(Path(root) / file)
    
    return all_files

